# std::geometric_distribution::geometric_distribution

From cppreference.com
< cpp‎ | numeric‎ | random‎ | geometric distribution

explicit geometric_distribution( double p = 0.5 ); | (1) | (since C++11)
explicit geometric_distribution( const param_type& params ); | (2) | (since C++11)

Constructs new distribution object. The first version uses `p` as the distribution parameter, the second version uses `params` as the distribution parameter.

### Parameters

p | - | the p distribution parameter (probability of a trial generating true)
params | - | the distribution parameter set

### Notes

Requires that 0 < p < 1

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/geometric_distribution/geometric_distribution&oldid=62898"